from practicum import McuBoard

RQ_SET_LED    = 0
RQ_GET_SWITCH1 = 1
RQ_GET_SWITCH2 = 2
RQ_GET_SWITCH3 = 3
RQ_GET_SWITCH4 = 4
RQ_GET_SWITCH5 = 5

####################################
class PeriBoard(McuBoard):

    ################################
    def setLed(self, led_no, led_val):
        self.usb_write(RQ_SET_LED,led_no,led_val)

    ################################
    def setLedNum(self, color,no,val):
        '''
        Display value's 3 LSBs on peripheral board's LEDs
        '''
        if color == 'R' :
		if no == 1 :
			self.setLed(2,val)
		elif no == 2 :
			self.setLed(4,val)
		elif no == 3 :
			self.setLed(6,val)
		elif no == 4 :
			self.setLed(8,val)
		elif no == 5 :
			self.setLed(10,val)
	elif color == 'G' :
		if no == 1 :
			self.setLed(1,val)
		elif no == 2 :
			self.setLed(3,val)
		elif no == 3 :
			self.setLed(5,val)
		elif no == 4 :
			self.setLed(7,val)
		elif no == 5 :
			self.setLed(9,val)
		elif no == 6 :
			self.setLed(11,val)

    ################################
    def getSwitch(self,no):
        '''
        Return a boolean value indicating whether the switch on the peripheral
        board is currently pressed
        '''
	if no == 1 :
        	value = self.usb_read(RQ_GET_SWITCH1,1)
	elif no == 2 :
		value = self.usb_read(RQ_GET_SWITCH2,1)
	elif no == 3 :
		value = self.usb_read(RQ_GET_SWITCH3,1)
	elif no == 4 :
		value = self.usb_read(RQ_GET_SWITCH4,1)
	elif no == 5 :
		value = self.usb_read(RQ_GET_SWITCH5,1)		
        if value[0] == 1 :
            return True
        else :
            return False

    ################################

